[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TDialogButton.Create

Constructor for the class instance.

## Declaration

Source position: interfacebase.pp line 92

`public constructor TDialogButton.Create(`
`ACollection: TCollection`
`); override;`

## Arguments

`ACollection` |  | Collection which owns the collection item.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry.

ACollection is the TCollection instance which owns the new dialog button. It is assigned to the Collection property in the collection item.

Create sets the default values for the Caption and ModalResult properties.

## See also

TDialogButton.Caption |  | Value displayed on the button face.
TDialogButton.ModalResult |  | The modal result value returned when the button is clicked.